# IRremoteESP8266: src/IRac.cpp File Reference

IRac.cpp File Reference

## Namespaces

| IRAcUtils
| Common functions for use with all A/Cs supported by the IRac class.

## Functions

String | IRAcUtils::resultAcToString (const decode_results *const result)
| Display the human readable state of an A/C message if we can. More...
bool | IRAcUtils::decodeToState (const decode_results *decode, stdAc::state_t *result, const stdAc::state_t *prev)
| Convert a valid IR A/C remote message that we understand enough into a Common A/C state. More...